#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* CapSense_CompCH0_ctComp */
#define CapSense_CompCH0_ctComp__CLK CYREG_CMP2_CLK
#define CapSense_CompCH0_ctComp__CMP_MASK 0x04u
#define CapSense_CompCH0_ctComp__CMP_NUMBER 2u
#define CapSense_CompCH0_ctComp__CR CYREG_CMP2_CR
#define CapSense_CompCH0_ctComp__LUT__CR CYREG_LUT2_CR
#define CapSense_CompCH0_ctComp__LUT__MSK CYREG_LUT_MSK
#define CapSense_CompCH0_ctComp__LUT__MSK_MASK 0x04u
#define CapSense_CompCH0_ctComp__LUT__MSK_SHIFT 2
#define CapSense_CompCH0_ctComp__LUT__MX CYREG_LUT2_MX
#define CapSense_CompCH0_ctComp__LUT__SR CYREG_LUT_SR
#define CapSense_CompCH0_ctComp__LUT__SR_MASK 0x04u
#define CapSense_CompCH0_ctComp__LUT__SR_SHIFT 2
#define CapSense_CompCH0_ctComp__PM_ACT_CFG CYREG_PM_ACT_CFG7
#define CapSense_CompCH0_ctComp__PM_ACT_MSK 0x04u
#define CapSense_CompCH0_ctComp__PM_STBY_CFG CYREG_PM_STBY_CFG7
#define CapSense_CompCH0_ctComp__PM_STBY_MSK 0x04u
#define CapSense_CompCH0_ctComp__SW0 CYREG_CMP2_SW0
#define CapSense_CompCH0_ctComp__SW2 CYREG_CMP2_SW2
#define CapSense_CompCH0_ctComp__SW3 CYREG_CMP2_SW3
#define CapSense_CompCH0_ctComp__SW4 CYREG_CMP2_SW4
#define CapSense_CompCH0_ctComp__SW6 CYREG_CMP2_SW6
#define CapSense_CompCH0_ctComp__TR0 CYREG_CMP2_TR0
#define CapSense_CompCH0_ctComp__TR1 CYREG_CMP2_TR1
#define CapSense_CompCH0_ctComp__TRIM__TR0 CYREG_FLSHID_MFG_CFG_CMP2_TR0
#define CapSense_CompCH0_ctComp__TRIM__TR0_HS CYREG_FLSHID_CUST_TABLES_CMP2_TR0_HS
#define CapSense_CompCH0_ctComp__TRIM__TR1 CYREG_FLSHID_MFG_CFG_CMP2_TR1
#define CapSense_CompCH0_ctComp__TRIM__TR1_HS CYREG_FLSHID_CUST_TABLES_CMP2_TR1_HS
#define CapSense_CompCH0_ctComp__WRK CYREG_CMP_WRK
#define CapSense_CompCH0_ctComp__WRK_MASK 0x04u
#define CapSense_CompCH0_ctComp__WRK_SHIFT 2

/* CapSense_IdacCH0_viDAC8 */
#define CapSense_IdacCH0_viDAC8__CR0 CYREG_DAC0_CR0
#define CapSense_IdacCH0_viDAC8__CR1 CYREG_DAC0_CR1
#define CapSense_IdacCH0_viDAC8__D CYREG_DAC0_D
#define CapSense_IdacCH0_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define CapSense_IdacCH0_viDAC8__PM_ACT_MSK 0x01u
#define CapSense_IdacCH0_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define CapSense_IdacCH0_viDAC8__PM_STBY_MSK 0x01u
#define CapSense_IdacCH0_viDAC8__STROBE CYREG_DAC0_STROBE
#define CapSense_IdacCH0_viDAC8__SW0 CYREG_DAC0_SW0
#define CapSense_IdacCH0_viDAC8__SW2 CYREG_DAC0_SW2
#define CapSense_IdacCH0_viDAC8__SW3 CYREG_DAC0_SW3
#define CapSense_IdacCH0_viDAC8__SW4 CYREG_DAC0_SW4
#define CapSense_IdacCH0_viDAC8__TR CYREG_DAC0_TR
#define CapSense_IdacCH0_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC0_M1
#define CapSense_IdacCH0_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC0_M2
#define CapSense_IdacCH0_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC0_M3
#define CapSense_IdacCH0_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC0_M4
#define CapSense_IdacCH0_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC0_M5
#define CapSense_IdacCH0_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC0_M6
#define CapSense_IdacCH0_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC0_M7
#define CapSense_IdacCH0_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC0_M8
#define CapSense_IdacCH0_viDAC8__TST CYREG_DAC0_TST

/* Multiplexer_TimerUDB */
#define Multiplexer_TimerUDB_rstSts_stsreg__0__MASK 0x01u
#define Multiplexer_TimerUDB_rstSts_stsreg__0__POS 0
#define Multiplexer_TimerUDB_rstSts_stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define Multiplexer_TimerUDB_rstSts_stsreg__16BIT_STATUS_REG CYREG_B0_UDB02_03_ST
#define Multiplexer_TimerUDB_rstSts_stsreg__1__MASK 0x02u
#define Multiplexer_TimerUDB_rstSts_stsreg__1__POS 1
#define Multiplexer_TimerUDB_rstSts_stsreg__2__MASK 0x04u
#define Multiplexer_TimerUDB_rstSts_stsreg__2__POS 2
#define Multiplexer_TimerUDB_rstSts_stsreg__3__MASK 0x08u
#define Multiplexer_TimerUDB_rstSts_stsreg__3__POS 3
#define Multiplexer_TimerUDB_rstSts_stsreg__4__MASK 0x10u
#define Multiplexer_TimerUDB_rstSts_stsreg__4__POS 4
#define Multiplexer_TimerUDB_rstSts_stsreg__5__MASK 0x20u
#define Multiplexer_TimerUDB_rstSts_stsreg__5__POS 5
#define Multiplexer_TimerUDB_rstSts_stsreg__6__MASK 0x40u
#define Multiplexer_TimerUDB_rstSts_stsreg__6__POS 6
#define Multiplexer_TimerUDB_rstSts_stsreg__MASK 0x7Fu
#define Multiplexer_TimerUDB_rstSts_stsreg__MASK_REG CYREG_B0_UDB02_MSK
#define Multiplexer_TimerUDB_rstSts_stsreg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define Multiplexer_TimerUDB_rstSts_stsreg__PER_ST_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define Multiplexer_TimerUDB_rstSts_stsreg__STATUS_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define Multiplexer_TimerUDB_rstSts_stsreg__STATUS_CNT_REG CYREG_B0_UDB02_ST_CTL
#define Multiplexer_TimerUDB_rstSts_stsreg__STATUS_CONTROL_REG CYREG_B0_UDB02_ST_CTL
#define Multiplexer_TimerUDB_rstSts_stsreg__STATUS_REG CYREG_B0_UDB02_ST
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB02_03_CTL
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB02_03_CTL
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB02_03_CTL
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB02_03_CTL
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_MASK_REG CYREG_B0_UDB02_03_MSK
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB02_03_MSK
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB02_03_MSK
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB02_03_MSK
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__7__MASK 0x80u
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__7__POS 7
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_REG CYREG_B0_UDB02_CTL
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_ST_REG CYREG_B0_UDB02_ST_CTL
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_REG CYREG_B0_UDB02_CTL
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_ST_REG CYREG_B0_UDB02_ST_CTL
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__MASK 0x80u
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__PERIOD_REG CYREG_B0_UDB02_MSK
#define Multiplexer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define Multiplexer_TimerUDB_sT8_timerdp_u0__16BIT_A0_REG CYREG_B0_UDB02_03_A0
#define Multiplexer_TimerUDB_sT8_timerdp_u0__16BIT_A1_REG CYREG_B0_UDB02_03_A1
#define Multiplexer_TimerUDB_sT8_timerdp_u0__16BIT_D0_REG CYREG_B0_UDB02_03_D0
#define Multiplexer_TimerUDB_sT8_timerdp_u0__16BIT_D1_REG CYREG_B0_UDB02_03_D1
#define Multiplexer_TimerUDB_sT8_timerdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define Multiplexer_TimerUDB_sT8_timerdp_u0__16BIT_F0_REG CYREG_B0_UDB02_03_F0
#define Multiplexer_TimerUDB_sT8_timerdp_u0__16BIT_F1_REG CYREG_B0_UDB02_03_F1
#define Multiplexer_TimerUDB_sT8_timerdp_u0__A0_A1_REG CYREG_B0_UDB02_A0_A1
#define Multiplexer_TimerUDB_sT8_timerdp_u0__A0_REG CYREG_B0_UDB02_A0
#define Multiplexer_TimerUDB_sT8_timerdp_u0__A1_REG CYREG_B0_UDB02_A1
#define Multiplexer_TimerUDB_sT8_timerdp_u0__D0_D1_REG CYREG_B0_UDB02_D0_D1
#define Multiplexer_TimerUDB_sT8_timerdp_u0__D0_REG CYREG_B0_UDB02_D0
#define Multiplexer_TimerUDB_sT8_timerdp_u0__D1_REG CYREG_B0_UDB02_D1
#define Multiplexer_TimerUDB_sT8_timerdp_u0__DP_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define Multiplexer_TimerUDB_sT8_timerdp_u0__F0_F1_REG CYREG_B0_UDB02_F0_F1
#define Multiplexer_TimerUDB_sT8_timerdp_u0__F0_REG CYREG_B0_UDB02_F0
#define Multiplexer_TimerUDB_sT8_timerdp_u0__F1_REG CYREG_B0_UDB02_F1
#define Multiplexer_TimerUDB_sT8_timerdp_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define Multiplexer_TimerUDB_sT8_timerdp_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL

/* CapSense_MeasureCH0 */
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_A0_REG CYREG_B1_UDB07_08_A0
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_A1_REG CYREG_B1_UDB07_08_A1
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_D0_REG CYREG_B1_UDB07_08_D0
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_D1_REG CYREG_B1_UDB07_08_D1
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_F0_REG CYREG_B1_UDB07_08_F0
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_F1_REG CYREG_B1_UDB07_08_F1
#define CapSense_MeasureCH0_UDB_Counter_u0__A0_A1_REG CYREG_B1_UDB07_A0_A1
#define CapSense_MeasureCH0_UDB_Counter_u0__A0_REG CYREG_B1_UDB07_A0
#define CapSense_MeasureCH0_UDB_Counter_u0__A1_REG CYREG_B1_UDB07_A1
#define CapSense_MeasureCH0_UDB_Counter_u0__D0_D1_REG CYREG_B1_UDB07_D0_D1
#define CapSense_MeasureCH0_UDB_Counter_u0__D0_REG CYREG_B1_UDB07_D0
#define CapSense_MeasureCH0_UDB_Counter_u0__D1_REG CYREG_B1_UDB07_D1
#define CapSense_MeasureCH0_UDB_Counter_u0__DP_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define CapSense_MeasureCH0_UDB_Counter_u0__F0_F1_REG CYREG_B1_UDB07_F0_F1
#define CapSense_MeasureCH0_UDB_Counter_u0__F0_REG CYREG_B1_UDB07_F0
#define CapSense_MeasureCH0_UDB_Counter_u0__F1_REG CYREG_B1_UDB07_F1
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_A0_REG CYREG_B0_UDB07_08_A0
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_A1_REG CYREG_B0_UDB07_08_A1
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_D0_REG CYREG_B0_UDB07_08_D0
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_D1_REG CYREG_B0_UDB07_08_D1
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB07_08_ACTL
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_F0_REG CYREG_B0_UDB07_08_F0
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_F1_REG CYREG_B0_UDB07_08_F1
#define CapSense_MeasureCH0_UDB_Window_u0__A0_A1_REG CYREG_B0_UDB07_A0_A1
#define CapSense_MeasureCH0_UDB_Window_u0__A0_REG CYREG_B0_UDB07_A0
#define CapSense_MeasureCH0_UDB_Window_u0__A1_REG CYREG_B0_UDB07_A1
#define CapSense_MeasureCH0_UDB_Window_u0__D0_D1_REG CYREG_B0_UDB07_D0_D1
#define CapSense_MeasureCH0_UDB_Window_u0__D0_REG CYREG_B0_UDB07_D0
#define CapSense_MeasureCH0_UDB_Window_u0__D1_REG CYREG_B0_UDB07_D1
#define CapSense_MeasureCH0_UDB_Window_u0__DP_AUX_CTL_REG CYREG_B0_UDB07_ACTL
#define CapSense_MeasureCH0_UDB_Window_u0__F0_F1_REG CYREG_B0_UDB07_F0_F1
#define CapSense_MeasureCH0_UDB_Window_u0__F0_REG CYREG_B0_UDB07_F0
#define CapSense_MeasureCH0_UDB_Window_u0__F1_REG CYREG_B0_UDB07_F1
#define CapSense_MeasureCH0_UDB_Window_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define CapSense_MeasureCH0_UDB_Window_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL

/* CapSense_ClockGen */
#define CapSense_ClockGen_ScanSpeed_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB07_08_ACTL
#define CapSense_ClockGen_ScanSpeed_ST__16BIT_STATUS_REG CYREG_B0_UDB07_08_ST
#define CapSense_ClockGen_ScanSpeed_ST__MASK_REG CYREG_B0_UDB07_MSK
#define CapSense_ClockGen_ScanSpeed_ST__MASK_ST_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define CapSense_ClockGen_ScanSpeed_ST__PER_ST_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define CapSense_ClockGen_ScanSpeed_ST__STATUS_AUX_CTL_REG CYREG_B0_UDB07_ACTL
#define CapSense_ClockGen_ScanSpeed_ST__STATUS_CNT_REG CYREG_B0_UDB07_ST_CTL
#define CapSense_ClockGen_ScanSpeed_ST__STATUS_CONTROL_REG CYREG_B0_UDB07_ST_CTL
#define CapSense_ClockGen_ScanSpeed_ST__STATUS_REG CYREG_B0_UDB07_ST
#define CapSense_ClockGen_ScanSpeed__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB07_08_ACTL
#define CapSense_ClockGen_ScanSpeed__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB07_08_CTL
#define CapSense_ClockGen_ScanSpeed__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB07_08_CTL
#define CapSense_ClockGen_ScanSpeed__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB07_08_CTL
#define CapSense_ClockGen_ScanSpeed__16BIT_COUNT_COUNT_REG CYREG_B0_UDB07_08_CTL
#define CapSense_ClockGen_ScanSpeed__16BIT_MASK_MASK_REG CYREG_B0_UDB07_08_MSK
#define CapSense_ClockGen_ScanSpeed__16BIT_MASK_PERIOD_REG CYREG_B0_UDB07_08_MSK
#define CapSense_ClockGen_ScanSpeed__16BIT_PERIOD_MASK_REG CYREG_B0_UDB07_08_MSK
#define CapSense_ClockGen_ScanSpeed__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB07_08_MSK
#define CapSense_ClockGen_ScanSpeed__CONTROL_AUX_CTL_REG CYREG_B0_UDB07_ACTL
#define CapSense_ClockGen_ScanSpeed__CONTROL_REG CYREG_B0_UDB07_CTL
#define CapSense_ClockGen_ScanSpeed__CONTROL_ST_REG CYREG_B0_UDB07_ST_CTL
#define CapSense_ClockGen_ScanSpeed__COUNT_REG CYREG_B0_UDB07_CTL
#define CapSense_ClockGen_ScanSpeed__COUNT_ST_REG CYREG_B0_UDB07_ST_CTL
#define CapSense_ClockGen_ScanSpeed__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define CapSense_ClockGen_ScanSpeed__PERIOD_REG CYREG_B0_UDB07_MSK
#define CapSense_ClockGen_ScanSpeed__PER_CTL_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define CapSense_ClockGen_SyncCtrl_CtrlReg__0__MASK 0x01u
#define CapSense_ClockGen_SyncCtrl_CtrlReg__0__POS 0
#define CapSense_ClockGen_SyncCtrl_CtrlReg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB04_05_ACTL
#define CapSense_ClockGen_SyncCtrl_CtrlReg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB04_05_CTL
#define CapSense_ClockGen_SyncCtrl_CtrlReg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB04_05_CTL
#define CapSense_ClockGen_SyncCtrl_CtrlReg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB04_05_CTL
#define CapSense_ClockGen_SyncCtrl_CtrlReg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB04_05_CTL
#define CapSense_ClockGen_SyncCtrl_CtrlReg__16BIT_MASK_MASK_REG CYREG_B0_UDB04_05_MSK
#define CapSense_ClockGen_SyncCtrl_CtrlReg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB04_05_MSK
#define CapSense_ClockGen_SyncCtrl_CtrlReg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB04_05_MSK
#define CapSense_ClockGen_SyncCtrl_CtrlReg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB04_05_MSK
#define CapSense_ClockGen_SyncCtrl_CtrlReg__1__MASK 0x02u
#define CapSense_ClockGen_SyncCtrl_CtrlReg__1__POS 1
#define CapSense_ClockGen_SyncCtrl_CtrlReg__2__MASK 0x04u
#define CapSense_ClockGen_SyncCtrl_CtrlReg__2__POS 2
#define CapSense_ClockGen_SyncCtrl_CtrlReg__4__MASK 0x10u
#define CapSense_ClockGen_SyncCtrl_CtrlReg__4__POS 4
#define CapSense_ClockGen_SyncCtrl_CtrlReg__CONTROL_AUX_CTL_REG CYREG_B0_UDB04_ACTL
#define CapSense_ClockGen_SyncCtrl_CtrlReg__CONTROL_REG CYREG_B0_UDB04_CTL
#define CapSense_ClockGen_SyncCtrl_CtrlReg__CONTROL_ST_REG CYREG_B0_UDB04_ST_CTL
#define CapSense_ClockGen_SyncCtrl_CtrlReg__COUNT_REG CYREG_B0_UDB04_CTL
#define CapSense_ClockGen_SyncCtrl_CtrlReg__COUNT_ST_REG CYREG_B0_UDB04_ST_CTL
#define CapSense_ClockGen_SyncCtrl_CtrlReg__MASK 0x17u
#define CapSense_ClockGen_SyncCtrl_CtrlReg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL
#define CapSense_ClockGen_SyncCtrl_CtrlReg__PERIOD_REG CYREG_B0_UDB04_MSK
#define CapSense_ClockGen_SyncCtrl_CtrlReg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_A0_REG CYREG_B0_UDB03_04_A0
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_A1_REG CYREG_B0_UDB03_04_A1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_D0_REG CYREG_B0_UDB03_04_D0
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_D1_REG CYREG_B0_UDB03_04_D1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB03_04_ACTL
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_F0_REG CYREG_B0_UDB03_04_F0
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_F1_REG CYREG_B0_UDB03_04_F1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__A0_A1_REG CYREG_B0_UDB03_A0_A1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__A0_REG CYREG_B0_UDB03_A0
#define CapSense_ClockGen_UDB_PrescalerDp_u0__A1_REG CYREG_B0_UDB03_A1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__D0_D1_REG CYREG_B0_UDB03_D0_D1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__D0_REG CYREG_B0_UDB03_D0
#define CapSense_ClockGen_UDB_PrescalerDp_u0__D1_REG CYREG_B0_UDB03_D1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__DP_AUX_CTL_REG CYREG_B0_UDB03_ACTL
#define CapSense_ClockGen_UDB_PrescalerDp_u0__F0_F1_REG CYREG_B0_UDB03_F0_F1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__F0_REG CYREG_B0_UDB03_F0
#define CapSense_ClockGen_UDB_PrescalerDp_u0__F1_REG CYREG_B0_UDB03_F1
#define CapSense_ClockGen_sC8_PRSdp_u0__16BIT_A0_REG CYREG_B0_UDB04_05_A0
#define CapSense_ClockGen_sC8_PRSdp_u0__16BIT_A1_REG CYREG_B0_UDB04_05_A1
#define CapSense_ClockGen_sC8_PRSdp_u0__16BIT_D0_REG CYREG_B0_UDB04_05_D0
#define CapSense_ClockGen_sC8_PRSdp_u0__16BIT_D1_REG CYREG_B0_UDB04_05_D1
#define CapSense_ClockGen_sC8_PRSdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB04_05_ACTL
#define CapSense_ClockGen_sC8_PRSdp_u0__16BIT_F0_REG CYREG_B0_UDB04_05_F0
#define CapSense_ClockGen_sC8_PRSdp_u0__16BIT_F1_REG CYREG_B0_UDB04_05_F1
#define CapSense_ClockGen_sC8_PRSdp_u0__A0_A1_REG CYREG_B0_UDB04_A0_A1
#define CapSense_ClockGen_sC8_PRSdp_u0__A0_REG CYREG_B0_UDB04_A0
#define CapSense_ClockGen_sC8_PRSdp_u0__A1_REG CYREG_B0_UDB04_A1
#define CapSense_ClockGen_sC8_PRSdp_u0__D0_D1_REG CYREG_B0_UDB04_D0_D1
#define CapSense_ClockGen_sC8_PRSdp_u0__D0_REG CYREG_B0_UDB04_D0
#define CapSense_ClockGen_sC8_PRSdp_u0__D1_REG CYREG_B0_UDB04_D1
#define CapSense_ClockGen_sC8_PRSdp_u0__DP_AUX_CTL_REG CYREG_B0_UDB04_ACTL
#define CapSense_ClockGen_sC8_PRSdp_u0__F0_F1_REG CYREG_B0_UDB04_F0_F1
#define CapSense_ClockGen_sC8_PRSdp_u0__F0_REG CYREG_B0_UDB04_F0
#define CapSense_ClockGen_sC8_PRSdp_u0__F1_REG CYREG_B0_UDB04_F1
#define CapSense_ClockGen_sC8_PRSdp_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL
#define CapSense_ClockGen_sC8_PRSdp_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL

/* CapSense_IntClock */
#define CapSense_IntClock__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define CapSense_IntClock__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define CapSense_IntClock__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define CapSense_IntClock__CFG2_SRC_SEL_MASK 0x07u
#define CapSense_IntClock__INDEX 0x00u
#define CapSense_IntClock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define CapSense_IntClock__PM_ACT_MSK 0x01u
#define CapSense_IntClock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define CapSense_IntClock__PM_STBY_MSK 0x01u

/* CapSense_CmodCH0 */
#define CapSense_CmodCH0__0__MASK 0x80u
#define CapSense_CmodCH0__0__PC CYREG_PRT2_PC7
#define CapSense_CmodCH0__0__PORT 2u
#define CapSense_CmodCH0__0__SHIFT 7
#define CapSense_CmodCH0__AG CYREG_PRT2_AG
#define CapSense_CmodCH0__AMUX CYREG_PRT2_AMUX
#define CapSense_CmodCH0__BIE CYREG_PRT2_BIE
#define CapSense_CmodCH0__BIT_MASK CYREG_PRT2_BIT_MASK
#define CapSense_CmodCH0__BYP CYREG_PRT2_BYP
#define CapSense_CmodCH0__CTL CYREG_PRT2_CTL
#define CapSense_CmodCH0__Cmod_CH0__MASK 0x80u
#define CapSense_CmodCH0__Cmod_CH0__PC CYREG_PRT2_PC7
#define CapSense_CmodCH0__Cmod_CH0__PORT 2u
#define CapSense_CmodCH0__Cmod_CH0__SHIFT 7
#define CapSense_CmodCH0__DM0 CYREG_PRT2_DM0
#define CapSense_CmodCH0__DM1 CYREG_PRT2_DM1
#define CapSense_CmodCH0__DM2 CYREG_PRT2_DM2
#define CapSense_CmodCH0__DR CYREG_PRT2_DR
#define CapSense_CmodCH0__INP_DIS CYREG_PRT2_INP_DIS
#define CapSense_CmodCH0__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define CapSense_CmodCH0__LCD_EN CYREG_PRT2_LCD_EN
#define CapSense_CmodCH0__MASK 0x80u
#define CapSense_CmodCH0__PORT 2u
#define CapSense_CmodCH0__PRT CYREG_PRT2_PRT
#define CapSense_CmodCH0__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define CapSense_CmodCH0__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define CapSense_CmodCH0__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define CapSense_CmodCH0__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define CapSense_CmodCH0__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define CapSense_CmodCH0__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define CapSense_CmodCH0__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define CapSense_CmodCH0__PS CYREG_PRT2_PS
#define CapSense_CmodCH0__SHIFT 7
#define CapSense_CmodCH0__SLW CYREG_PRT2_SLW

/* CapSense_PortCH0 */
#define CapSense_PortCH0__0__MASK 0x01u
#define CapSense_PortCH0__0__PC CYREG_PRT4_PC0
#define CapSense_PortCH0__0__PORT 4u
#define CapSense_PortCH0__0__SHIFT 0
#define CapSense_PortCH0__1__MASK 0x02u
#define CapSense_PortCH0__1__PC CYREG_PRT4_PC1
#define CapSense_PortCH0__1__PORT 4u
#define CapSense_PortCH0__1__SHIFT 1
#define CapSense_PortCH0__2__MASK 0x04u
#define CapSense_PortCH0__2__PC CYREG_PRT4_PC2
#define CapSense_PortCH0__2__PORT 4u
#define CapSense_PortCH0__2__SHIFT 2
#define CapSense_PortCH0__AG CYREG_PRT4_AG
#define CapSense_PortCH0__AMUX CYREG_PRT4_AMUX
#define CapSense_PortCH0__BIE CYREG_PRT4_BIE
#define CapSense_PortCH0__BIT_MASK CYREG_PRT4_BIT_MASK
#define CapSense_PortCH0__BYP CYREG_PRT4_BYP
#define CapSense_PortCH0__Button0__BTN__MASK 0x01u
#define CapSense_PortCH0__Button0__BTN__PC CYREG_PRT4_PC0
#define CapSense_PortCH0__Button0__BTN__PORT 4u
#define CapSense_PortCH0__Button0__BTN__SHIFT 0
#define CapSense_PortCH0__Button1__BTN__MASK 0x02u
#define CapSense_PortCH0__Button1__BTN__PC CYREG_PRT4_PC1
#define CapSense_PortCH0__Button1__BTN__PORT 4u
#define CapSense_PortCH0__Button1__BTN__SHIFT 1
#define CapSense_PortCH0__Button2__BTN__MASK 0x04u
#define CapSense_PortCH0__Button2__BTN__PC CYREG_PRT4_PC2
#define CapSense_PortCH0__Button2__BTN__PORT 4u
#define CapSense_PortCH0__Button2__BTN__SHIFT 2
#define CapSense_PortCH0__CTL CYREG_PRT4_CTL
#define CapSense_PortCH0__DM0 CYREG_PRT4_DM0
#define CapSense_PortCH0__DM1 CYREG_PRT4_DM1
#define CapSense_PortCH0__DM2 CYREG_PRT4_DM2
#define CapSense_PortCH0__DR CYREG_PRT4_DR
#define CapSense_PortCH0__INP_DIS CYREG_PRT4_INP_DIS
#define CapSense_PortCH0__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define CapSense_PortCH0__LCD_EN CYREG_PRT4_LCD_EN
#define CapSense_PortCH0__PORT 4u
#define CapSense_PortCH0__PRT CYREG_PRT4_PRT
#define CapSense_PortCH0__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define CapSense_PortCH0__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define CapSense_PortCH0__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define CapSense_PortCH0__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define CapSense_PortCH0__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define CapSense_PortCH0__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define CapSense_PortCH0__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define CapSense_PortCH0__PS CYREG_PRT4_PS
#define CapSense_PortCH0__SLW CYREG_PRT4_SLW

/* Timer_1_TimerUDB */
#define Timer_1_TimerUDB_rstSts_stsreg__0__MASK 0x01u
#define Timer_1_TimerUDB_rstSts_stsreg__0__POS 0
#define Timer_1_TimerUDB_rstSts_stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB06_07_ACTL
#define Timer_1_TimerUDB_rstSts_stsreg__16BIT_STATUS_REG CYREG_B1_UDB06_07_ST
#define Timer_1_TimerUDB_rstSts_stsreg__1__MASK 0x02u
#define Timer_1_TimerUDB_rstSts_stsreg__1__POS 1
#define Timer_1_TimerUDB_rstSts_stsreg__2__MASK 0x04u
#define Timer_1_TimerUDB_rstSts_stsreg__2__POS 2
#define Timer_1_TimerUDB_rstSts_stsreg__3__MASK 0x08u
#define Timer_1_TimerUDB_rstSts_stsreg__3__POS 3
#define Timer_1_TimerUDB_rstSts_stsreg__4__MASK 0x10u
#define Timer_1_TimerUDB_rstSts_stsreg__4__POS 4
#define Timer_1_TimerUDB_rstSts_stsreg__5__MASK 0x20u
#define Timer_1_TimerUDB_rstSts_stsreg__5__POS 5
#define Timer_1_TimerUDB_rstSts_stsreg__6__MASK 0x40u
#define Timer_1_TimerUDB_rstSts_stsreg__6__POS 6
#define Timer_1_TimerUDB_rstSts_stsreg__MASK 0x7Fu
#define Timer_1_TimerUDB_rstSts_stsreg__MASK_REG CYREG_B1_UDB06_MSK
#define Timer_1_TimerUDB_rstSts_stsreg__STATUS_AUX_CTL_REG CYREG_B1_UDB06_ACTL
#define Timer_1_TimerUDB_rstSts_stsreg__STATUS_REG CYREG_B1_UDB06_ST
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB05_06_ACTL
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB05_06_CTL
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB05_06_CTL
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB05_06_CTL
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB05_06_CTL
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_MASK_REG CYREG_B1_UDB05_06_MSK
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB05_06_MSK
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB05_06_MSK
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB05_06_MSK
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__7__MASK 0x80u
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__7__POS 7
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B1_UDB05_ACTL
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_REG CYREG_B1_UDB05_CTL
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_ST_REG CYREG_B1_UDB05_ST_CTL
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_REG CYREG_B1_UDB05_CTL
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_ST_REG CYREG_B1_UDB05_ST_CTL
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__MASK 0x80u
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__PERIOD_REG CYREG_B1_UDB05_MSK
#define Timer_1_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define Timer_1_TimerUDB_sT24_timerdp_u0__16BIT_A0_REG CYREG_B1_UDB04_05_A0
#define Timer_1_TimerUDB_sT24_timerdp_u0__16BIT_A1_REG CYREG_B1_UDB04_05_A1
#define Timer_1_TimerUDB_sT24_timerdp_u0__16BIT_D0_REG CYREG_B1_UDB04_05_D0
#define Timer_1_TimerUDB_sT24_timerdp_u0__16BIT_D1_REG CYREG_B1_UDB04_05_D1
#define Timer_1_TimerUDB_sT24_timerdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define Timer_1_TimerUDB_sT24_timerdp_u0__16BIT_F0_REG CYREG_B1_UDB04_05_F0
#define Timer_1_TimerUDB_sT24_timerdp_u0__16BIT_F1_REG CYREG_B1_UDB04_05_F1
#define Timer_1_TimerUDB_sT24_timerdp_u0__A0_A1_REG CYREG_B1_UDB04_A0_A1
#define Timer_1_TimerUDB_sT24_timerdp_u0__A0_REG CYREG_B1_UDB04_A0
#define Timer_1_TimerUDB_sT24_timerdp_u0__A1_REG CYREG_B1_UDB04_A1
#define Timer_1_TimerUDB_sT24_timerdp_u0__D0_D1_REG CYREG_B1_UDB04_D0_D1
#define Timer_1_TimerUDB_sT24_timerdp_u0__D0_REG CYREG_B1_UDB04_D0
#define Timer_1_TimerUDB_sT24_timerdp_u0__D1_REG CYREG_B1_UDB04_D1
#define Timer_1_TimerUDB_sT24_timerdp_u0__DP_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define Timer_1_TimerUDB_sT24_timerdp_u0__F0_F1_REG CYREG_B1_UDB04_F0_F1
#define Timer_1_TimerUDB_sT24_timerdp_u0__F0_REG CYREG_B1_UDB04_F0
#define Timer_1_TimerUDB_sT24_timerdp_u0__F1_REG CYREG_B1_UDB04_F1
#define Timer_1_TimerUDB_sT24_timerdp_u0__MSK_DP_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define Timer_1_TimerUDB_sT24_timerdp_u0__PER_DP_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define Timer_1_TimerUDB_sT24_timerdp_u1__16BIT_A0_REG CYREG_B1_UDB05_06_A0
#define Timer_1_TimerUDB_sT24_timerdp_u1__16BIT_A1_REG CYREG_B1_UDB05_06_A1
#define Timer_1_TimerUDB_sT24_timerdp_u1__16BIT_D0_REG CYREG_B1_UDB05_06_D0
#define Timer_1_TimerUDB_sT24_timerdp_u1__16BIT_D1_REG CYREG_B1_UDB05_06_D1
#define Timer_1_TimerUDB_sT24_timerdp_u1__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB05_06_ACTL
#define Timer_1_TimerUDB_sT24_timerdp_u1__16BIT_F0_REG CYREG_B1_UDB05_06_F0
#define Timer_1_TimerUDB_sT24_timerdp_u1__16BIT_F1_REG CYREG_B1_UDB05_06_F1
#define Timer_1_TimerUDB_sT24_timerdp_u1__A0_A1_REG CYREG_B1_UDB05_A0_A1
#define Timer_1_TimerUDB_sT24_timerdp_u1__A0_REG CYREG_B1_UDB05_A0
#define Timer_1_TimerUDB_sT24_timerdp_u1__A1_REG CYREG_B1_UDB05_A1
#define Timer_1_TimerUDB_sT24_timerdp_u1__D0_D1_REG CYREG_B1_UDB05_D0_D1
#define Timer_1_TimerUDB_sT24_timerdp_u1__D0_REG CYREG_B1_UDB05_D0
#define Timer_1_TimerUDB_sT24_timerdp_u1__D1_REG CYREG_B1_UDB05_D1
#define Timer_1_TimerUDB_sT24_timerdp_u1__DP_AUX_CTL_REG CYREG_B1_UDB05_ACTL
#define Timer_1_TimerUDB_sT24_timerdp_u1__F0_F1_REG CYREG_B1_UDB05_F0_F1
#define Timer_1_TimerUDB_sT24_timerdp_u1__F0_REG CYREG_B1_UDB05_F0
#define Timer_1_TimerUDB_sT24_timerdp_u1__F1_REG CYREG_B1_UDB05_F1
#define Timer_1_TimerUDB_sT24_timerdp_u1__MSK_DP_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define Timer_1_TimerUDB_sT24_timerdp_u1__PER_DP_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define Timer_1_TimerUDB_sT24_timerdp_u2__16BIT_A0_REG CYREG_B1_UDB06_07_A0
#define Timer_1_TimerUDB_sT24_timerdp_u2__16BIT_A1_REG CYREG_B1_UDB06_07_A1
#define Timer_1_TimerUDB_sT24_timerdp_u2__16BIT_D0_REG CYREG_B1_UDB06_07_D0
#define Timer_1_TimerUDB_sT24_timerdp_u2__16BIT_D1_REG CYREG_B1_UDB06_07_D1
#define Timer_1_TimerUDB_sT24_timerdp_u2__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB06_07_ACTL
#define Timer_1_TimerUDB_sT24_timerdp_u2__16BIT_F0_REG CYREG_B1_UDB06_07_F0
#define Timer_1_TimerUDB_sT24_timerdp_u2__16BIT_F1_REG CYREG_B1_UDB06_07_F1
#define Timer_1_TimerUDB_sT24_timerdp_u2__A0_A1_REG CYREG_B1_UDB06_A0_A1
#define Timer_1_TimerUDB_sT24_timerdp_u2__A0_REG CYREG_B1_UDB06_A0
#define Timer_1_TimerUDB_sT24_timerdp_u2__A1_REG CYREG_B1_UDB06_A1
#define Timer_1_TimerUDB_sT24_timerdp_u2__D0_D1_REG CYREG_B1_UDB06_D0_D1
#define Timer_1_TimerUDB_sT24_timerdp_u2__D0_REG CYREG_B1_UDB06_D0
#define Timer_1_TimerUDB_sT24_timerdp_u2__D1_REG CYREG_B1_UDB06_D1
#define Timer_1_TimerUDB_sT24_timerdp_u2__DP_AUX_CTL_REG CYREG_B1_UDB06_ACTL
#define Timer_1_TimerUDB_sT24_timerdp_u2__F0_F1_REG CYREG_B1_UDB06_F0_F1
#define Timer_1_TimerUDB_sT24_timerdp_u2__F0_REG CYREG_B1_UDB06_F0
#define Timer_1_TimerUDB_sT24_timerdp_u2__F1_REG CYREG_B1_UDB06_F1

/* CapSense_BufCH0 */
#define CapSense_BufCH0__CFG0 CYREG_CAPSL_CFG0
#define CapSense_BufCH0__CFG1 CYREG_CAPSL_CFG1
#define CapSense_BufCH0__PM_ACT_CFG CYREG_PM_ACT_CFG11
#define CapSense_BufCH0__PM_ACT_MSK 0x10u
#define CapSense_BufCH0__PM_STBY_CFG CYREG_PM_STBY_CFG11
#define CapSense_BufCH0__PM_STBY_MSK 0x10u

/* CapSense_IsrCH0 */
#define CapSense_IsrCH0__ES2_PATCH 0u
#define CapSense_IsrCH0__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define CapSense_IsrCH0__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define CapSense_IsrCH0__INTC_MASK 0x02u
#define CapSense_IsrCH0__INTC_NUMBER 1u
#define CapSense_IsrCH0__INTC_PRIOR_NUM 7u
#define CapSense_IsrCH0__INTC_PRIOR_REG CYREG_INTC_PRIOR1
#define CapSense_IsrCH0__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define CapSense_IsrCH0__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define CapSense_IsrCH0__INTC_VECT (CYREG_INTC_VECT_MBASE+0x02u)

/* Control_Reg_1 */
#define Control_Reg_1_Sync_ctrl_reg__0__MASK 0x01u
#define Control_Reg_1_Sync_ctrl_reg__0__POS 0
#define Control_Reg_1_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define Control_Reg_1_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB04_05_CTL
#define Control_Reg_1_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB04_05_CTL
#define Control_Reg_1_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB04_05_CTL
#define Control_Reg_1_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB04_05_CTL
#define Control_Reg_1_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B1_UDB04_05_MSK
#define Control_Reg_1_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB04_05_MSK
#define Control_Reg_1_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB04_05_MSK
#define Control_Reg_1_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB04_05_MSK
#define Control_Reg_1_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define Control_Reg_1_Sync_ctrl_reg__CONTROL_REG CYREG_B1_UDB04_CTL
#define Control_Reg_1_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B1_UDB04_ST_CTL
#define Control_Reg_1_Sync_ctrl_reg__COUNT_REG CYREG_B1_UDB04_CTL
#define Control_Reg_1_Sync_ctrl_reg__COUNT_ST_REG CYREG_B1_UDB04_ST_CTL
#define Control_Reg_1_Sync_ctrl_reg__MASK 0x01u
#define Control_Reg_1_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define Control_Reg_1_Sync_ctrl_reg__PERIOD_REG CYREG_B1_UDB04_MSK
#define Control_Reg_1_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL

/* timer_clock_1 */
#define timer_clock_1__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define timer_clock_1__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define timer_clock_1__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define timer_clock_1__CFG2_SRC_SEL_MASK 0x07u
#define timer_clock_1__INDEX 0x01u
#define timer_clock_1__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define timer_clock_1__PM_ACT_MSK 0x02u
#define timer_clock_1__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define timer_clock_1__PM_STBY_MSK 0x02u

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_LCDPort__0__PORT 2u
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_LCDPort__1__PORT 2u
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_LCDPort__2__PORT 2u
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_LCDPort__3__PORT 2u
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_LCDPort__4__PORT 2u
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_LCDPort__5__PORT 2u
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_LCDPort__6__PORT 2u
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT2_AG
#define LCD_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_LCDPort__DR CYREG_PRT2_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 2u
#define LCD_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT2_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT2_SLW

/* Segment_Int */
#define Segment_Int__ES2_PATCH 0u
#define Segment_Int__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define Segment_Int__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define Segment_Int__INTC_MASK 0x01u
#define Segment_Int__INTC_NUMBER 0u
#define Segment_Int__INTC_PRIOR_NUM 7u
#define Segment_Int__INTC_PRIOR_REG CYREG_INTC_PRIOR0
#define Segment_Int__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define Segment_Int__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define Segment_Int__INTC_VECT (CYREG_INTC_VECT_MBASE+0x00u)

/* timer_clock */
#define timer_clock__CFG0 CYREG_CLKDIST_DCFG2_CFG0
#define timer_clock__CFG1 CYREG_CLKDIST_DCFG2_CFG1
#define timer_clock__CFG2 CYREG_CLKDIST_DCFG2_CFG2
#define timer_clock__CFG2_SRC_SEL_MASK 0x07u
#define timer_clock__INDEX 0x02u
#define timer_clock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define timer_clock__PM_ACT_MSK 0x04u
#define timer_clock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define timer_clock__PM_STBY_MSK 0x04u

/* Pin_Output */
#define Pin_Output__0__MASK 0x80u
#define Pin_Output__0__PC CYREG_PRT1_PC7
#define Pin_Output__0__PORT 1u
#define Pin_Output__0__SHIFT 7
#define Pin_Output__AG CYREG_PRT1_AG
#define Pin_Output__AMUX CYREG_PRT1_AMUX
#define Pin_Output__BIE CYREG_PRT1_BIE
#define Pin_Output__BIT_MASK CYREG_PRT1_BIT_MASK
#define Pin_Output__BYP CYREG_PRT1_BYP
#define Pin_Output__CTL CYREG_PRT1_CTL
#define Pin_Output__DM0 CYREG_PRT1_DM0
#define Pin_Output__DM1 CYREG_PRT1_DM1
#define Pin_Output__DM2 CYREG_PRT1_DM2
#define Pin_Output__DR CYREG_PRT1_DR
#define Pin_Output__INP_DIS CYREG_PRT1_INP_DIS
#define Pin_Output__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define Pin_Output__LCD_EN CYREG_PRT1_LCD_EN
#define Pin_Output__MASK 0x80u
#define Pin_Output__PORT 1u
#define Pin_Output__PRT CYREG_PRT1_PRT
#define Pin_Output__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define Pin_Output__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define Pin_Output__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define Pin_Output__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define Pin_Output__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define Pin_Output__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define Pin_Output__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define Pin_Output__PS CYREG_PRT1_PS
#define Pin_Output__SHIFT 7
#define Pin_Output__SLW CYREG_PRT1_SLW

/* PinColumn1 */
#define PinColumn1__0__MASK 0x10u
#define PinColumn1__0__PC CYREG_PRT1_PC4
#define PinColumn1__0__PORT 1u
#define PinColumn1__0__SHIFT 4
#define PinColumn1__AG CYREG_PRT1_AG
#define PinColumn1__AMUX CYREG_PRT1_AMUX
#define PinColumn1__BIE CYREG_PRT1_BIE
#define PinColumn1__BIT_MASK CYREG_PRT1_BIT_MASK
#define PinColumn1__BYP CYREG_PRT1_BYP
#define PinColumn1__CTL CYREG_PRT1_CTL
#define PinColumn1__DM0 CYREG_PRT1_DM0
#define PinColumn1__DM1 CYREG_PRT1_DM1
#define PinColumn1__DM2 CYREG_PRT1_DM2
#define PinColumn1__DR CYREG_PRT1_DR
#define PinColumn1__INP_DIS CYREG_PRT1_INP_DIS
#define PinColumn1__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define PinColumn1__LCD_EN CYREG_PRT1_LCD_EN
#define PinColumn1__MASK 0x10u
#define PinColumn1__PORT 1u
#define PinColumn1__PRT CYREG_PRT1_PRT
#define PinColumn1__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define PinColumn1__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define PinColumn1__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define PinColumn1__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define PinColumn1__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define PinColumn1__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define PinColumn1__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define PinColumn1__PS CYREG_PRT1_PS
#define PinColumn1__SHIFT 4
#define PinColumn1__SLW CYREG_PRT1_SLW

/* PinColumn2 */
#define PinColumn2__0__MASK 0x20u
#define PinColumn2__0__PC CYREG_PRT1_PC5
#define PinColumn2__0__PORT 1u
#define PinColumn2__0__SHIFT 5
#define PinColumn2__AG CYREG_PRT1_AG
#define PinColumn2__AMUX CYREG_PRT1_AMUX
#define PinColumn2__BIE CYREG_PRT1_BIE
#define PinColumn2__BIT_MASK CYREG_PRT1_BIT_MASK
#define PinColumn2__BYP CYREG_PRT1_BYP
#define PinColumn2__CTL CYREG_PRT1_CTL
#define PinColumn2__DM0 CYREG_PRT1_DM0
#define PinColumn2__DM1 CYREG_PRT1_DM1
#define PinColumn2__DM2 CYREG_PRT1_DM2
#define PinColumn2__DR CYREG_PRT1_DR
#define PinColumn2__INP_DIS CYREG_PRT1_INP_DIS
#define PinColumn2__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define PinColumn2__LCD_EN CYREG_PRT1_LCD_EN
#define PinColumn2__MASK 0x20u
#define PinColumn2__PORT 1u
#define PinColumn2__PRT CYREG_PRT1_PRT
#define PinColumn2__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define PinColumn2__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define PinColumn2__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define PinColumn2__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define PinColumn2__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define PinColumn2__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define PinColumn2__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define PinColumn2__PS CYREG_PRT1_PS
#define PinColumn2__SHIFT 5
#define PinColumn2__SLW CYREG_PRT1_SLW

/* isr_1 */
#define isr_1__ES2_PATCH 0u
#define isr_1__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define isr_1__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define isr_1__INTC_MASK 0x04u
#define isr_1__INTC_NUMBER 2u
#define isr_1__INTC_PRIOR_NUM 7u
#define isr_1__INTC_PRIOR_REG CYREG_INTC_PRIOR2
#define isr_1__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define isr_1__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define isr_1__INTC_VECT (CYREG_INTC_VECT_MBASE+0x04u)

/* PORT0 */
#define PORT0__0__MASK 0x01u
#define PORT0__0__PC CYREG_PRT0_PC0
#define PORT0__0__PORT 0u
#define PORT0__0__SHIFT 0
#define PORT0__1__MASK 0x02u
#define PORT0__1__PC CYREG_PRT0_PC1
#define PORT0__1__PORT 0u
#define PORT0__1__SHIFT 1
#define PORT0__2__MASK 0x04u
#define PORT0__2__PC CYREG_PRT0_PC2
#define PORT0__2__PORT 0u
#define PORT0__2__SHIFT 2
#define PORT0__3__MASK 0x08u
#define PORT0__3__PC CYREG_PRT0_PC3
#define PORT0__3__PORT 0u
#define PORT0__3__SHIFT 3
#define PORT0__4__MASK 0x10u
#define PORT0__4__PC CYREG_PRT0_PC4
#define PORT0__4__PORT 0u
#define PORT0__4__SHIFT 4
#define PORT0__5__MASK 0x20u
#define PORT0__5__PC CYREG_PRT0_PC5
#define PORT0__5__PORT 0u
#define PORT0__5__SHIFT 5
#define PORT0__6__MASK 0x40u
#define PORT0__6__PC CYREG_PRT0_PC6
#define PORT0__6__PORT 0u
#define PORT0__6__SHIFT 6
#define PORT0__7__MASK 0x80u
#define PORT0__7__PC CYREG_PRT0_PC7
#define PORT0__7__PORT 0u
#define PORT0__7__SHIFT 7
#define PORT0__AG CYREG_PRT0_AG
#define PORT0__AMUX CYREG_PRT0_AMUX
#define PORT0__BIE CYREG_PRT0_BIE
#define PORT0__BIT_MASK CYREG_PRT0_BIT_MASK
#define PORT0__BYP CYREG_PRT0_BYP
#define PORT0__CTL CYREG_PRT0_CTL
#define PORT0__DM0 CYREG_PRT0_DM0
#define PORT0__DM1 CYREG_PRT0_DM1
#define PORT0__DM2 CYREG_PRT0_DM2
#define PORT0__DR CYREG_PRT0_DR
#define PORT0__INP_DIS CYREG_PRT0_INP_DIS
#define PORT0__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define PORT0__LCD_EN CYREG_PRT0_LCD_EN
#define PORT0__MASK 0xFFu
#define PORT0__PORT 0u
#define PORT0__PRT CYREG_PRT0_PRT
#define PORT0__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define PORT0__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define PORT0__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define PORT0__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define PORT0__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define PORT0__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define PORT0__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define PORT0__PS CYREG_PRT0_PS
#define PORT0__SHIFT 0
#define PORT0__SLW CYREG_PRT0_SLW

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_LEOPARD
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_PANTHER 3u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_PSOC5LP 4u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E028069u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_MEMBER_5A 3u
#define CYDEV_CHIP_MEMBER_5B 4u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_LEOPARD_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 0
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 0
#define CYDEV_INTR_RISING 0x00000007u
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 3.3
#define CYDEV_VDDA_MV 3300
#define CYDEV_VDDD 3.3
#define CYDEV_VDDD_MV 3300
#define CYDEV_VDDIO0 3.3
#define CYDEV_VDDIO0_MV 3300
#define CYDEV_VDDIO1 3.3
#define CYDEV_VDDIO1_MV 3300
#define CYDEV_VDDIO2 3.3
#define CYDEV_VDDIO2_MV 3300
#define CYDEV_VDDIO3 3.3
#define CYDEV_VDDIO3_MV 3300
#define CYDEV_VIO0 3.3
#define CYDEV_VIO0_MV 3300
#define CYDEV_VIO1 3.3
#define CYDEV_VIO1_MV 3300
#define CYDEV_VIO2 3.3
#define CYDEV_VIO2_MV 3300
#define CYDEV_VIO3 3.3
#define CYDEV_VIO3_MV 3300
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
